查询STA任务包装组装箱信息
POST
/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPacking接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPacking | HTTPS | POST | 1 |
请求参数
inboundPlanIdstring必填packingGroupIdListarray<any>必填sidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-plan/listInboundPlanGroupPacking?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"packingGroupIdList": "包装组id",
"sid": 1
}'
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
inboundPlanIdstringpackingGroupListarray<object>隐藏子属性
packingGroupIdstring必填shipmentPackingListarray<object>必填隐藏子属性
boxIdstring必填heightnumber必填lengthnumber必填lengthUnitstring必填packageIdstring必填productListarray<object>必填隐藏子属性
asinstring必填expirationstring必填fnskustring必填labelOwnerstring必填mskustring必填parentAsinstring必填prepOwnerstring必填productNamestring必填quantityInBoxinteger必填skustring必填titlestring必填urlstring必填totalinteger必填weightnumber必填weightUnitstring必填widthnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "574FB0B8-FD6E-8D29-91FD-295B55CF5398",
"response_time": "2024-07-31 14:41:25",
"data": {
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"packingGroupList": [
{
"packingGroupId": "包装组id",
"shipmentPackingList": [
{
"boxId": 3,
"height": 4,
"length": 5,
"lengthUnit": "CM",
"packageId": "包裹id",
"productList": [
{
"asin": "asin",
"expiration": "有效期",
"fnsku": "fnsku",
"labelOwner": "标签类型(AMAZON,SELLER,NONE)",
"msku": "msku",
"parentAsin": "父asin",
"prepOwner": "预处理提供方(AMAZON,SELLER,NONE)",
"productName": "品名",
"quantityInBox": 5,
"sku": "sku",
"title": "标题",
"url": "图片url"
}
],
"total": 7,
"weight": 6,
"weightUnit": "KG",
"width": 3
}
]
}
]
}
}